Lavalite package that provides asset management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `moblyze/asset`.

    "moblyze/asset": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Moblyze\Asset\Providers\AssetServiceProvider::class,

And also add it to alias

    'Asset'  => Moblyze\Asset\Facades\Asset::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Moblyze\\AssetTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Moblyze\Asset\Providers\AssetServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Moblyze\Asset\Providers\AssetServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Moblyze\Asset\Providers\AssetServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/asset/{modulename}

**User**

    http://path-to-route-folder/user/asset/{modulename}

**Public**

    http://path-to-route-folder/assets


### API endpoints

**List**

    http://path-to-route-folder/api/user/asset/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/asset/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/asset/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/asset/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/asset/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/asset/{modulename}/{slug}
    METHOD: GET