<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('asset::asset.name') !!} <small> {!! trans('app.manage') !!} {!! trans('asset::asset.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('asset::asset.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='asset-asset-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('asset/asset')!!}">{!! trans('asset::asset.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('asset/asset?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('asset/asset?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('asset/asset/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('asset::admin.asset.partial.actions')
                    -->
                    @include('asset::admin.asset.partial.filter')
                    @include('asset::admin.asset.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="asset-asset-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="asset-asset-check-all"></th>
                        <th data-field="name">{!! trans('asset::asset.label.name')!!}</th>
                    <th data-field="type_m">{!! trans('asset::asset.label.type_m')!!}</th>
                    <th data-field="class_m">{!! trans('asset::asset.label.class_m')!!}</th>
                    <th data-field="operating_area_m">{!! trans('asset::asset.label.operating_area_m')!!}</th>
                    <th data-field="manufacture_m">{!! trans('asset::asset.label.manufacture_m')!!}</th>
                    <th data-field="make_m">{!! trans('asset::asset.label.make_m')!!}</th>
                    <th data-field="model_m">{!! trans('asset::asset.label.model_m')!!}</th>
                    <th data-field="certificate_of_operation_m">{!! trans('asset::asset.label.certificate_of_operation_m')!!}</th>
                    <th data-field="certificate_of_survey_m">{!! trans('asset::asset.label.certificate_of_survey_m')!!}</th>
                    <th data-field="images">{!! trans('asset::asset.label.images')!!}</th>
                    <th data-field="uvi">{!! trans('asset::asset.label.uvi')!!}</th>
                    <th data-field="hull_identification_no">{!! trans('asset::asset.label.hull_identification_no')!!}</th>
                    <th data-field="buoyancy">{!! trans('asset::asset.label.buoyancy')!!}</th>
                    <th data-field="manufacture_date">{!! trans('asset::asset.label.manufacture_date')!!}</th>
                    <th data-field="length">{!! trans('asset::asset.label.length')!!}</th>
                    <th data-field="beam_width">{!! trans('asset::asset.label.beam_width')!!}</th>
                    <th data-field="draft">{!! trans('asset::asset.label.draft')!!}</th>
                    <th data-field="displacement">{!! trans('asset::asset.label.displacement')!!}</th>
                    <th data-field="hull_type">{!! trans('asset::asset.label.hull_type')!!}</th>
                    <th data-field="hull_construction">{!! trans('asset::asset.label.hull_construction')!!}</th>
                    <th data-field="hull_color">{!! trans('asset::asset.label.hull_color')!!}</th>
                    <th data-field="other_distinguishing_features">{!! trans('asset::asset.label.other_distinguishing_features')!!}</th>
                    <th data-field="life_raft">{!! trans('asset::asset.label.life_raft')!!}</th>
                    <th data-field="vessel_propulsion_type">{!! trans('asset::asset.label.vessel_propulsion_type')!!}</th>
                    <th data-field="max_engine_power">{!! trans('asset::asset.label.max_engine_power')!!}</th>
                    <th data-field="max_engine_weight">{!! trans('asset::asset.label.max_engine_weight')!!}</th>
                    <th data-field="no_of_engines">{!! trans('asset::asset.label.no_of_engines')!!}</th>
                    <th data-field="max_no_persons">{!! trans('asset::asset.label.max_no_persons')!!}</th>
                    <th data-field="max_load">{!! trans('asset::asset.label.max_load')!!}</th>
                    <th data-field="fuel_type">{!! trans('asset::asset.label.fuel_type')!!}</th>
                    <th data-field="fuel_tank_capacity">{!! trans('asset::asset.label.fuel_tank_capacity')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#asset-asset-entry', '{!!guard_url('asset/asset/0')!!}');
    oTable = $('#asset-asset-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('asset/asset') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'name'},
            {data :'type_m'},
            {data :'class_m'},
            {data :'operating_area_m'},
            {data :'manufacture_m'},
            {data :'make_m'},
            {data :'model_m'},
            {data :'certificate_of_operation_m'},
            {data :'certificate_of_survey_m'},
            {data :'images'},
            {data :'uvi'},
            {data :'hull_identification_no'},
            {data :'buoyancy'},
            {data :'manufacture_date'},
            {data :'length'},
            {data :'beam_width'},
            {data :'draft'},
            {data :'displacement'},
            {data :'hull_type'},
            {data :'hull_construction'},
            {data :'hull_color'},
            {data :'other_distinguishing_features'},
            {data :'life_raft'},
            {data :'vessel_propulsion_type'},
            {data :'max_engine_power'},
            {data :'max_engine_weight'},
            {data :'no_of_engines'},
            {data :'max_no_persons'},
            {data :'max_load'},
            {data :'fuel_type'},
            {data :'fuel_tank_capacity'},
        ],
        "pageLength": 25
    });

    $('#asset-asset-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#asset-asset-list').DataTable().row( this ).data();
        $('#asset-asset-entry').load('{!!guard_url('asset/asset')!!}' + '/' + d.id);
    });

    $('#asset-asset-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#asset-asset-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#asset-asset-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#asset-asset-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>