<?php

namespace Moblyze\Asset\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class AssetTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\Asset\Models\Asset $asset)
    {
        return [
            'id'                => $asset->getRouteKey(),
            'key'               => [
                'public'    => $asset->getPublicKey(),
                'route'     => $asset->getRouteKey(),
            ], 
            'name'              => $asset->name,
            'type_m'            => $asset->type_m,
            'class_m'           => $asset->class_m,
            'operating_area_m'  => $asset->operating_area_m,
            'manufacture_m'     => $asset->manufacture_m,
            'make_m'            => $asset->make_m,
            'model_m'           => $asset->model_m,
            'certificate_of_operation_m' => $asset->certificate_of_operation_m,
            'certificate_of_survey_m' => $asset->certificate_of_survey_m,
            'communications_m'  => $asset->communications_m,
            'navigations_m'     => $asset->navigations_m,
            'images'            => $asset->images,
            'uvi'               => $asset->uvi,
            'hull_identification_no' => $asset->hull_identification_no,
            'buoyancy'          => $asset->buoyancy,
            'manufacture_date'  => $asset->manufacture_date,
            'length'            => $asset->length,
            'beam_width'        => $asset->beam_width,
            'draft'             => $asset->draft,
            'displacement'      => $asset->displacement,
            'hull_type'         => $asset->hull_type,
            'hull_construction' => $asset->hull_construction,
            'hull_color'        => $asset->hull_color,
            'other_distinguishing_features' => $asset->other_distinguishing_features,
            'life_raft'         => $asset->life_raft,
            'vessel_propulsion_type' => $asset->vessel_propulsion_type,
            'max_engine_power'  => $asset->max_engine_power,
            'max_engine_weight' => $asset->max_engine_weight,
            'no_of_engines'     => $asset->no_of_engines,
            'max_no_persons'    => $asset->max_no_persons,
            'max_load'          => $asset->max_load,
            'fuel_type'         => $asset->fuel_type,
            'fuel_tank_capacity' => $asset->fuel_tank_capacity,
            'deleted_at'        => $asset->deleted_at,
            'url'               => [
                'public'    => trans_url('asset/'.$asset->getPublicKey()),
                'user'      => guard_url('asset/asset/'.$asset->getRouteKey()),
            ], 
            'status'            => trans('app.'.$asset->status),
            'created_at'        => format_date($asset->created_at),
            'updated_at'        => format_date($asset->updated_at),
        ];
    }
}